/*
    kzsync

    Version alpha

    Copyright (c) 2002 Luc Saillard <luc@saillard.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of version 2 of the GNU General Public
    License as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/


#include <zaurus.h>
#include <kio/netaccess.h>
#include <qfile.h>
#include <stdio.h>

#include "zaurusparser.h"

using namespace KABC;

Zaurus::Zaurus(void)
{
  src.setProtocol("ftp");
  setLogin("root","");
  setHostname("zaurus",4242);
  src.setPath("/home/root/");
}

KABC::AddressBook *Zaurus::getAddressBook(void)
{
  printf("%s\n",(const char *)src.prettyURL());
  QString tmpFile;
  if( KIO::NetAccess::download(src, tmpFile ) )
   {
     if (tmpFile==NULL)
      {
	fprintf(stderr,"Probleme lors du telechargement\n");
	return NULL;
      }
     AddressBook *ab = loadAddressBook( tmpFile );
     KIO::NetAccess::removeTempFile( tmpFile );
     return ab;
   }

  return NULL;
}

bool Zaurus::putAddressBook(const QString &xml)
{


  return false;
}

void Zaurus::setLogin(QString &username, QString &password)
{
  src.setUser(username);
  src.setPass(password);
}

void Zaurus::setLogin(const char *username, const char *password)
{
  src.setUser(username);
  src.setPass(password);
}

void Zaurus::setHostname(QString &hostname, unsigned short int port)
{
  src.setHost(hostname);
  src.setPort(port);
}

void Zaurus::setHostname(const char *hostname, unsigned short int port)
{
  src.setHost(hostname);
  src.setPort(port);
}


AddressBook *Zaurus::loadAddressBook(const QString &filename)
{
#if 1
  ZaurusAddressbookParser parser;
  AddressBook *ab = new AddressBook();
  parser.setAddressBook(ab);
  QFile xmlFile(filename);
  QXmlInputSource source( &xmlFile );
  QXmlSimpleReader reader;
  reader.setContentHandler( &parser );
  reader.parse( source );

  return ab;
#else

  QDomDocument doc( "mydocument" );
  QFile xmlFile( "/home/luc/Applications/addressbook/addressbook.xml" );
  if ( !xmlFile.open( IO_ReadOnly ) ) {
     fprintf(stderr,"Cannot open file %s\n","/home/luc/Applications/addressbook/addressbook.xml\n");
     return;
  }
  int errorline=-1;
  int errorcolumn=-1;
  QString error;
  if ( !doc.setContent( &xmlFile,true,&error,&errorline,&errorcolumn ) ) {
     fprintf(stderr,"Parsing error for file %s\n","/home/luc/Applications/addressbook/addressbook.xml\n");
     fprintf(stderr,"at %d:%d  %s\n",errorline,errorcolumn,(const char *)error);
     xmlFile.close();
     return;
  }
  xmlFile.close();


#endif
}





