/*
    Class to communicate with the zaurus (or OPIE)

    Version alpha

    Copyright (c) 2002 Luc Saillard <luc@saillard.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of version 2 of the GNU General Public
    License as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <qstring.h>
#include <kurl.h>
#include <kabc/addressbook.h>

class Zaurus
{
 public:

   Zaurus(void);

   KABC::AddressBook *getAddressBook(void);
   bool putAddressBook(const QString &data);

   void setLogin(QString &username, QString &password);
   void setLogin(const char *username, const char *password);
   void setHostname(QString &hostname, unsigned short int port);
   void setHostname(const char *hostname, unsigned short int port);

   static KABC::AddressBook *loadAddressBook(const QString &filename);

 private:
   KURL src;

};


