/*
    Class to parse the XML addressebook use by the Zaurus (or any Qtopia
    application)

    Version alpha

    Copyright (c) 2002 Luc Saillard <luc@saillard.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of version 2 of the GNU General Public
    License as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <qxml.h>
#include <qstring.h>
#include <kabc/stdaddressbook.h>

class ZaurusAddressbookParser : public QXmlDefaultHandler
{
public:
    bool startDocument();
    bool startElement( const QString&, const QString&, const QString& , 
                       const QXmlAttributes& );
    bool endElement( const QString&, const QString&, const QString& );

    void setAddressBook(KABC::AddressBook *ab);

private:
    KABC::AddressBook *book;
};

